commit: 7883796a51684247d5f15b66d05bfd53fe2da6b7
Author: Mario Kicherer <dev <AT> kicherer <DOT> org>
AuthorDate: Thu Jan 1 20:03:37 2015 +0000
Commit: Mario Kicherer <dev <AT> kicherer <DOT> org>
CommitDate: Thu Jan 1 20:03:37 2015 +0000
URL:
http://sources.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=7883796a
[games-util/steam-launcher] new 1.0.0.49, sync with steam-overlay
---
games-util/steam-launcher/metadata.xml | 6 --
.../steam-launcher/steam-launcher-1.0.0.49.ebuild | 112 +++++++++++++++++++++
2 files changed, 112 insertions(+), 6 deletions(-)
diff --git a/games-util/steam-launcher/metadata.xml
b/games-util/steam-launcher/metadata.xml
index 982aa7f..40fb94f 100644
--- a/games-util/steam-launcher/metadata.xml
+++ b/games-util/steam-launcher/metadata.xml
@@ -12,10 +12,4 @@
<upstream>
<bugs-to>https://github.com/anyc/steam-overlay</bugs-to>
</upstream>
- <use>
- <flag name='steamruntime'>
- Enables the Steam runtime environment that uses bundled
- libraries instead of installed system libraries.
- </flag>
- </use>
</pkgmetadata>
diff --git a/games-util/steam-launcher/steam-launcher-1.0.0.49.ebuild
b/games-util/steam-launcher/steam-launcher-1.0.0.49.ebuild
new file mode 100644
index 0000000..2f66fc5
--- /dev/null
+++ b/games-util/steam-launcher/steam-launcher-1.0.0.49.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+# Please report bugs/suggestions on: https://github.com/anyc/steam-overlay
+# or come to #gentoo-gamerlay in freenode IRC
+
+inherit eutils gnome2-utils fdo-mime udev
+
+DESCRIPTION="Installer, launcher and supplementary files for Valve's Steam
client"
+HOMEPAGE="http://steampowered.com"
+SRC_URI="http://repo.steampowered.com/steam/pool/steam/s/steam/steam_${PV}.tar.gz"
+
+KEYWORDS="-* ~amd64 ~x86"
+LICENSE="ValveSteamLicense"
+
+RESTRICT="bindist mirror"
+SLOT="0"
+
+RDEPEND="
+ app-arch/tar
+ app-shells/bash
+ net-misc/curl
+ || (
+ >=gnome-extra/zenity-3
+ x11-terms/xterm
+ )
+
+ amd64? (
+ || (
+
>=app-emulation/emul-linux-x86-xlibs-20121028[-abi_x86_32(-)]
+ (
+ x11-libs/libX11[abi_x86_32]
+ x11-libs/libXau[abi_x86_32]
+ x11-libs/libxcb[abi_x86_32]
+ x11-libs/libXdmcp[abi_x86_32]
+ )
+ )
+ >=sys-devel/gcc-4.6.0[multilib]
+ >=sys-libs/glibc-2.15[multilib]
+ )
+ x86? (
+ >=sys-devel/gcc-4.6.0
+ >=sys-libs/glibc-2.15
+ >=x11-libs/libX11-1.5
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXdmcp
+ )"
+
+S=${WORKDIR}/steam/
+
+src_prepare() {
+ epatch "${FILESDIR}"/steam-fix-ld-library-path.patch
+
+ # we use our ebuild functions to install the files
+ rm Makefile
+}
+
+src_install() {
+ dobin steam
+
+ insinto /usr/lib/steam/
+ doins bootstraplinux_ubuntu12_32.tar.xz
+
+ udev_dorules lib/udev/rules.d/99-steam-controller-perms.rules
+
+ dodoc debian/changelog steam_install_agreement.txt
+ doman steam.6
+
+ domenu steam.desktop
+
+ cd icons/
+ for s in * ; do
+ doicon -s ${s} ${s}/steam.png
+ done
+
+ # tgz archive contains no separate pixmap, see #38
+ insinto /usr/share/pixmaps/
+ newins 48/steam_tray_mono.png steam_tray_mono.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+ udev_reload
+
+ elog "Execute /usr/bin/steam to download and install the actual"
+ elog "client into your home folder. After installation, the script"
+ elog "also starts the client from your home folder."
+ elog ""
+
+ if ! has_version "gnome-extra/zenity"; then
+ ewarn "Valve does not provide a xterm fallback for all calls of
zenity."
+ ewarn "Please install gnome-extra/zenity for full support."
+ ewarn ""
+ fi
+
+ ewarn "The steam client and the games are _not_ controlled by portage."
+ ewarn "Updates are handled by the client itself."
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}